NumberFormat.Field (Java SE 13 & JDK 13 )
Description: declaration: module: java.base, package: java.text, class: NumberFormat, class: Field
Keywords: java.text.NumberFormat.Field class

Module java.base
Package java.text

# Class NumberFormat.Field

java.lang.Object
java.text.AttributedCharacterIterator.Attribute
java.text.Format.Field
java.text.NumberFormat.Field

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  NumberFormat

    public static class NumberFormat.Field
    extends Format.Field

Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `NumberFormat.formatToCharacterIterator` and as field identifiers in `FieldPosition`.

Since:
  1.4
See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static NumberFormat.Field` | `CURRENCY` | Constant identifying the currency field.
  `static NumberFormat.Field` | `DECIMAL_SEPARATOR` | Constant identifying the decimal separator field.
  `static NumberFormat.Field` | `EXPONENT` | Constant identifying the exponent field.
  `static NumberFormat.Field` | `EXPONENT_SIGN` | Constant identifying the exponent sign field.
  `static NumberFormat.Field` | `EXPONENT_SYMBOL` | Constant identifying the exponent symbol field.
  `static NumberFormat.Field` | `FRACTION` | Constant identifying the fraction field.
  `static NumberFormat.Field` | `GROUPING_SEPARATOR` | Constant identifying the grouping separator field.
  `static NumberFormat.Field` | `INTEGER` | Constant identifying the integer field.
  `static NumberFormat.Field` | `PERCENT` | Constant identifying the percent field.
  `static NumberFormat.Field` | `PERMILLE` | Constant identifying the permille field.
  `static NumberFormat.Field` | `PREFIX` | Constant identifying the prefix field.
  `static NumberFormat.Field` | `SIGN` | Constant identifying the sign field.
  `static NumberFormat.Field` | `SUFFIX` | Constant identifying the suffix field.

  ### Fields declared in class java.text.AttributedCharacterIterator.Attribute

  `INPUT_METHOD_SEGMENT, LANGUAGE, READING`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `Field​(String name)` | Creates a Field instance with the specified name.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected Object` | `readResolve()` | Resolves instances being deserialized to the predefined constants.

  ### Methods declared in class java.text.AttributedCharacterIterator.Attribute

  `equals, getName, hashCode, toString`

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INTEGER

    public static final NumberFormat.Field INTEGER
    Constant identifying the integer field.

  - ### FRACTION

    public static final NumberFormat.Field FRACTION
    Constant identifying the fraction field.

  - ### EXPONENT

    public static final NumberFormat.Field EXPONENT
    Constant identifying the exponent field.

  - ### DECIMAL_SEPARATOR

    public static final NumberFormat.Field DECIMAL_SEPARATOR
    Constant identifying the decimal separator field.

  - ### SIGN

    public static final NumberFormat.Field SIGN
    Constant identifying the sign field.

  - ### GROUPING_SEPARATOR

    public static final NumberFormat.Field GROUPING_SEPARATOR
    Constant identifying the grouping separator field.

  - ### EXPONENT_SYMBOL

    public static final NumberFormat.Field EXPONENT_SYMBOL
    Constant identifying the exponent symbol field.

  - ### PERCENT

    public static final NumberFormat.Field PERCENT
    Constant identifying the percent field.

  - ### PERMILLE

    public static final NumberFormat.Field PERMILLE
    Constant identifying the permille field.

  - ### CURRENCY

    public static final NumberFormat.Field CURRENCY
    Constant identifying the currency field.

  - ### EXPONENT_SIGN

    public static final NumberFormat.Field EXPONENT_SIGN
    Constant identifying the exponent sign field.

  - ### PREFIX

    public static final NumberFormat.Field PREFIX
    Constant identifying the prefix field.
    Since:
      12

  - ### SUFFIX

    public static final NumberFormat.Field SUFFIX
    Constant identifying the suffix field.
    Since:
      12

- ## Constructor Details

  - ### Field

    protected Field​(String name)
    Creates a Field instance with the specified name.
    Parameters:
      `name` - Name of the attribute

- ## Method Details

  - ### readResolve

    protected Object readResolve() throws InvalidObjectException
    Resolves instances being deserialized to the predefined constants.
    Overrides:
      `readResolve` in class `AttributedCharacterIterator.Attribute`
    Returns:
      resolved NumberFormat.Field constant
    Throws:
      `InvalidObjectException` - if the constant could not be resolved.